#pragma once
#define WIN32_LEAN_AND_MEAN             // 从 Windows 头文件中排除极少使用的内容
// Windows 头文件
#include <windows.h>
#include <vector>
#include "DirectXMath.h"
using namespace DirectX;
extern const float deg2rad;
struct MyRGBA
{
	UINT8 r;
	UINT8 g;
	UINT8 b;
	UINT8 a;
	void Set(DWORD c);
	DWORD Get();
};
bool PxaIsEmpty(int pxaID);
bool PxaIsIce(int pxaID);
bool PxaIsBlock(int pxaID, bool isPlayer);
bool PxaIsWater(int pxaID);
int Random(int min, int max);
bool ParseInts(const wchar_t* str, std::vector<int>& outArr);
void FillZeroSumVector(std::vector<XMVECTOR>& vecArr, int len);
float lerp(float start, float end, float t);